Bug 201737 - Support observing a different set of view service state notifications in ApplicationStateTracker
Summary: Support observing a different set of view service state notifications in Appl...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-12 13:15 PDT by David Quesada
Modified: 2020-01-27 19:09 PST (History)
5 users (show)

See Also:


Attachments
Patch (4.74 KB, patch)
2019-09-12 13:30 PDT, David Quesada
cdumez: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (4.68 KB, patch)
2020-01-27 18:26 PST, David Quesada
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Quesada 2019-09-12 13:15:56 PDT
rdar://problem/54786414
Comment 1 David Quesada 2019-09-12 13:30:46 PDT
Created attachment 378671 [details]
Patch

Patch. cq- for now since landing this is blocked by rdar://problem/55283266.
Comment 2 Luming Yin 2019-11-22 14:32:59 PST
Seems like rdar://problem/55283266 has been fixed.
Comment 3 Chris Dumez 2020-01-27 15:56:47 PST
Comment on attachment 378671 [details]
Patch

r=me. Fine as is but it may be nice to move the feature flag to Open Source if possible (or at least when it becomes possible).
Comment 4 WebKit Commit Bot 2020-01-27 17:44:46 PST
The commit-queue encountered the following flaky tests while processing attachment 378671 [details]:

editing/spelling/spellcheck-async-remove-frame.html bug 158401 (authors: morrita@google.com, rniwa@webkit.org, and tony@chromium.org)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2020-01-27 17:44:56 PST
The commit-queue encountered the following flaky tests while processing attachment 378671 [details]:

fast/hidpi/image-srcset-relative-svg-canvas-2x.html bug 206254 (author: yoav@yoav.ws)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2020-01-27 18:20:53 PST
Comment on attachment 378671 [details]
Patch

Rejecting attachment 378671 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 378671, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=378671&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=201737&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Updating working directory
Processing patch 378671 from bug 201737.
Fetching: https://bugs.webkit.org/attachment.cgi?id=378671
Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebKit/ChangeLog

ERROR from SVN:
Item is out of date: File '/trunk/Source/WebKit/ChangeLog' is out of date
W: 536ffdbdeee090152e300dfc1ddc96aff294f0b7 and refs/remotes/origin/master differ, using rebase:
:040000 040000 5b5c503b2acb2e3bf20b4d51dd075fc0135fb98a cc5558c0bcffce44e4852d45b3e94ccc97b73792 M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	Source/WebKit/ChangeLog

ERROR from SVN:
Item is out of date: File '/trunk/Source/WebKit/ChangeLog' is out of date
W: 536ffdbdeee090152e300dfc1ddc96aff294f0b7 and refs/remotes/origin/master differ, using rebase:
:040000 040000 5b5c503b2acb2e3bf20b4d51dd075fc0135fb98a cc5558c0bcffce44e4852d45b3e94ccc97b73792 M	Source
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit', '--rmdir']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
From https://git.webkit.org/git/WebKit
   e2bfce4d354..98507e88155  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 255217 = e2bfce4d35471f34089935c059f890dd0eb57852
r255218 = a7bcdcd96e2ba1f3bed60fbe9939b2b65e776625
r255219 = 98507e8815531f046aa3612b9f617cadab0dd6c2
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: https://webkit-queues.webkit.org/results/13312408
Comment 7 David Quesada 2020-01-27 18:26:09 PST
Created attachment 388956 [details]
Patch for landing
Comment 8 WebKit Commit Bot 2020-01-27 19:09:40 PST
Comment on attachment 388956 [details]
Patch for landing

Clearing flags on attachment: 388956

Committed r255222: <https://trac.webkit.org/changeset/255222>
Comment 9 WebKit Commit Bot 2020-01-27 19:09:42 PST
All reviewed patches have been landed.  Closing bug.